사용자

사용자 검색

GET /v1/users/search reads 2 크레딧

사용자 검색: 이름, 핸들 또는 소개 문구에 일치하는 계정, 가장 잘 맞는 순.

쿼리 매개변수

쿼리 파라미터타입의미
q *string이름, 핸들 또는 소개 문구
countint 1–100 = 20요청 페이지 크기. X는 힌트로 취급
cursorstring이전 페이지의 next_cursor에서

응답

query, 전체 사용자 레코드 한 페이지, 커서(끝이면 null). 필드별 설명: User.

상태: 200, 400, 429, 502

요청
curl https://api.xsignalfeed.com/v1/users/search?q=reuters&count=20 \
  -H "Authorization: Bearer xsf_your_key"
응답 · 200 / 400
{
  "query": "reuters",
  "users": [
    {
      "id": "1652541",
      "screen_name": "Reuters",
      "name": "Reuters",
      "bio": "Top and breaking news, pictures and videos from Reuters…",
      "avatar": "https://pbs.twimg.com/profile_images/…",
      "banner": "https://pbs.twimg.com/profile_banners/1652541/…",
      "followers": 26367698,
      "following": 1195,
      "tweets": 1395836,
      "location": "Around the world",
      "url": "https://t.co/…",
      "verified": true,
      "verified_type": "Business",
      "protected": false,
      "created_at": "2007-03-20T17:46:05Z",
      "category": "Media & News Company"
    },
    {
      "…": "…"
    }
  ],
  "next_cursor": "DAAFCgABHSYySrM__6MLAAIAAACIRW1QQzZ3QUFBZlEvZ0dKTjB2R3AvQUFBQUFvQUFBQUFFLzZsVWd…"
}